# -*- coding: utf-8 -*-
# Generated by Django 1.11.13 on 2018-05-21 00:26
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import riverstreet.configuration.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='ConfigSettingGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Analytics',
            fields=[
                ('configsettinggroup_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='configuration.ConfigSettingGroup')),
                ('google_analytics_id', riverstreet.configuration.models.CharSetting(blank=True, help_text='Enter your google analytics tracking id', max_length=512)),
            ],
            options={
                'verbose_name': 'Analytics',
                'verbose_name_plural': 'Analytics',
            },
            bases=('configuration.configsettinggroup',),
        ),
        migrations.CreateModel(
            name='MetaTags',
            fields=[
                ('configsettinggroup_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='configuration.ConfigSettingGroup')),
                ('title', riverstreet.configuration.models.CharSetting(blank=True, max_length=512)),
                ('description', riverstreet.configuration.models.TextSetting(blank=True, help_text='Comma-separated list of keywords')),
                ('keywords', riverstreet.configuration.models.TextSetting(blank=True, help_text='A short description for your site (used in search engine results)')),
            ],
            options={
                'verbose_name': 'Meta tags',
                'verbose_name_plural': 'Meta tags',
            },
            bases=('configuration.configsettinggroup',),
        ),
        migrations.AddField(
            model_name='configsettinggroup',
            name='polymorphic_ctype',
            field=models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='polymorphic_configuration.configsettinggroup_set+', to='contenttypes.ContentType'),
        ),
    ]
